<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$_CUR = 'user';
require (dirname(__FILE__) . '/include/init.php');
$smarty->assign('cur', $_CUR);
$smarty->assign('submenu', 'money');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 会员模块
include_once (ROOT_PATH . 'include/user.class.php');
$dou_user = new DouUser();

// 图片上传
include_once (ROOT_PATH . 'include/file.class.php');
$file = new File('images/money/', null, 'jpg,gif,png', '2048'); // 实例化类文件(文件上传路径，结尾加斜杠)

// 赋值给模板
$smarty->assign('rec', $rec);
$smarty->assign('link_user_center', $dou_user->link_user_center('money', 'admin'));

/**
 * +----------------------------------------------------------
 * VIP会员套餐列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $smarty->assign('ur_here', $_LANG['money_package']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['money_package_add'],
            'href' => 'money_package.php?rec=add' 
    ));
    
    $sql = "SELECT * FROM " . $dou->table('money_package') . " ORDER BY sort ASC, id DESC";
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $package_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "money" => $row['money'],
                "price" => $dou->price_format($row['price']),
                "image" => $dou->dou_file($row['image']),
                "sort" => $row['sort']
        );
    }
    
    // 赋值给模板
    $smarty->assign('package_list', $package_list);
    
    $smarty->display('money_package.htm');
} 

/**
 * +----------------------------------------------------------
 *  VIP会员套餐添加
 * +----------------------------------------------------------
 */
elseif ($rec == 'add') {
    $smarty->assign('ur_here', $_LANG['money_package_add']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['money_package'],
            'href' => 'money_package.php' 
    ));
    
    // CSRF防御令牌生成
    $smarty->assign('token', $firewall->get_token());
    
    // 赋值给模板
    $smarty->assign('form_action', 'insert');
    
    $smarty->display('money_package.htm');
} 

elseif ($rec == 'insert') {
    // 判断是否为空
    $wrong = $check->fn_empty('money_package', 'money, price');
 
    // 显示错误提示
    if ($wrong) {
        foreach ($wrong as $key => $value) {
            $dou->dou_msg($wrong[$key]);;
        }
    }
    
    // 文件上传盒子
    $image = $file->box('money_package', $dou->auto_id('money_package'), 'image', 'main');
        
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
 
    $name = $_LANG['money_recharge'] . ' ' . $_POST['money'];
    
    $sql = "INSERT INTO " . $dou->table('money_package') . " (id, name, money, price, brief, image, sort)" . " VALUES (NULL, '$name', '$_POST[money]', '$_POST[price]', '$_POST[brief]', '$image', '$_POST[sort]')";
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['money_package_add'] . ': ' . $_POST['money']);
    $dou->dou_msg($_LANG['money_package_add'] . $_LANG['success'], 'money_package.php');
} 

/**
 * +----------------------------------------------------------
 *  VIP会员套餐编辑
 * +----------------------------------------------------------
 */
elseif ($rec == 'edit') {
    $smarty->assign('ur_here', $_LANG['money_package_edit']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['money_package'],
            'href' => 'money_package.php' 
    ));
    
    // 验证并获取合法的ID
    $id = $check->is_number($_REQUEST['id']) ? $_REQUEST['id'] : '';
    
    $package = $dou->get_row('money_package', '*', "id = '$id'");
    
    // 格式化数据
    $package['image'] = $dou->dou_file($package['image']);
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());
    
    // 赋值给模板
    $smarty->assign('form_action', 'update');
    $smarty->assign('package', $package);
    
    $smarty->display('money_package.htm');
} 

elseif ($rec == 'update') {
    // 验证并获取合法的ID
    $id = $check->is_number($_POST['id']) ? $_POST['id'] : '';
    
    // 判断是否为空
    $wrong = $check->fn_empty('money_package', 'money, price');
 
    // 显示错误提示
    if ($wrong) {
        foreach ($wrong as $key => $value) {
            $dou->dou_msg($wrong[$key]);;
        }
    }
    
    // 文件上传盒子
    $image = $file->box('money_package', $id, 'image', 'main');
    $image = $image ? ", image = '" . $image . "'" : '';
    
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
    
    $sql = "UPDATE " . $dou->table('money_package') . " SET name = '$_POST[name]', money = '$_POST[money]', price = '$_POST[price]', brief = '$_POST[brief]'" . $image . ", sort = '$_POST[sort]' WHERE id = '$id'";
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['money_package_edit'] . ': ' . $_POST['money']);
    $dou->dou_msg($_LANG['money_package_edit'] . $_LANG['success'], 'money_package.php');
}

/**
 * +----------------------------------------------------------
 * VIP会员套餐删除
 * +----------------------------------------------------------
 */
elseif ($rec == 'del') {
    // 验证并获取合法的user_id
    $id = $check->is_number($_REQUEST['id']) ? $_REQUEST['id'] : $dou->dou_msg($_LANG['illegal'], 'money_package.php');
    $name = $dou->get_one("SELECT name FROM " . $dou->table('money_package') . " WHERE id = '$id'");
    
    if (isset($_POST['confirm'])) {
        $dou->create_admin_log($_LANG['money_package_del'] . ': ' . $name);
        $dou->delete('money_package', "id = $id", 'money_package.php');
    } else {
        $_LANG['del_check'] = preg_replace('/d%/Ums', $name, $_LANG['del_check']);
        $dou->dou_msg($_LANG['del_check'], 'money_package.php', '', '30', "money_package.php?rec=del&id=$id");
    }
}  

/**
 * +----------------------------------------------------------
 * 参数设置
 * +----------------------------------------------------------
 */
elseif ($rec == 'set') {
    $set_list = array('money_recharge_agreement');
    foreach ($set_list as $name) {
        if (!$dou->value_exist('parameter', 'name', $name)) {
            $dou->query("INSERT INTO " . $dou->table('parameter') . " (id, name, lang, value, cue, `group`)" . " VALUES (NULL, '$name', '" . $_LANG[$name . '_lang'] . "', '" . $_LANG[$name . '_value'] . "', '" . $_LANG[$name . '_cue'] . "', 'money')");
        }
    }
    $dou->dou_header('parameter.php?rec=set&group=money');
}

?>