// pages/money/money.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');
var grcode = require('../../utils/grcode/init.js');

Page({
  data: {
    pay_code_mode: false,
    number: '',
    bgclass: ''
  },
 
  onShow: function () {
    var that = this;
    
    // 判断是否登录
    dou.checkLoginState()
  },
  
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site,
          open: res.data.open
        })
      },
    })
    
    wx.request({
      url: app.mp_url + 'money.php',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
      },
    })
    
    that.grCode()
    
    setInterval(function () {
      that.grCode()
    }, 60000); // 1000为毫秒级参数，表示1秒
  },

  // 获取数据
  grCode: function() {
    var that = this;
   
    that.setData({
      bgclass: 'light'
    })
    
    wx.request({
      url: app.mp_url + 'money.php?rec=pay_code',
      data: {
        user_id: wx.getStorageSync('user_id'),
        shell: wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        grcode.barcode('barcode', res.data.pay_code, 680, 200);
        grcode.qrcode('qrcode', res.data.pay_code, 420, 420);
       
        that.setData({
          pay_code: res.data.pay_code,
          user: res.data.user,
          total: res.data.total,
          bgclass: ''
        })
      }
    })
  },
 
  // 类似navigateTo，但会销毁当前页面堆栈
  douRedirectTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.redirectTo({
      url: url
    })
  },
 
  // 类似navigateTo，但会销毁当前页面堆栈
  douNavigateBack: function(e) {
    var delta = e.currentTarget.dataset.delta;
    wx.navigateBack({
      delta: delta ? delta : 1
    })
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },


})