// pages/money/work.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  data: {
    pay_code_mode: false,
    number: ''
  },
 
  onShow: function () {
    var that = this;
    
    // 判断是否登录
    dou.checkLoginState()
  },
  
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site,
          open: res.data.open
        })
      },
    })
    
    wx.request({
      url: app.mp_url + 'money.php?rec=work',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
       
        if (res.data.wrong) {
          dou.douMsg(res.data.wrong, 'index')
        }
       
        that.setData({
          pay_code_mode: res.data.pay_code_mode
        })
      },
    })
  },
 
  // 搜索用户
  searchUser: function (e) {
    var that = this
    
    wx.navigateTo({
      url: '/pages/money/work_desk?number=' + e.detail.value.telphone
    })
  },
 
  // 扫码核验
  scanCode: function() {
    var that = this
    
    if (that.data.pay_code_mode) {
      wx.scanCode({
        // onlyFromCamera: true, // 只允许从相机扫码
        scanType: ['barCode', 'qrCode'],
        success (data) {
          wx.navigateTo({
            url: '/pages/money/work_desk?number=' + data.result
          })
        },  
        fail: (err) => {  
          console.error(err);  
          // 处理扫码失败的情况  
          wx.showToast({  
            title: '扫码失败',  
            icon: 'none'  
          });  
        }
      })
    }
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },

  // 只能跳转到tabBar配置页面
  catSwitchTab: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.switchTab({
      url: url
    })
  }


})