// pages/money/work_desk.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  data: {
    log_list: [],
    work: [],
    money: '',
    page: 1, // 初始页默认值为1
    nomore: false
  },
 
  onShow: function () {
    var that = this;
    
    // 判断是否登录
    dou.checkLoginState()
  },
 
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site,
          open: res.data.open
        })
      },
    })
    
    if (options.number) {
      that.setData({
        number: options.number
      })
    }
    
    that.loadData()
  },

  // 获取数据
  loadData: function(concat = false, page = '') {
    var that = this;
    var number = that.data.number;
    var money = that.data.money;
    
    // 未登录时重新载入当前页面
    dou.checkLoginState('action', '/pages/user/user')
   
    wx.request({
      url: app.mp_url + 'money.php?rec=work&act=search',
      data: {
        user_id: wx.getStorageSync('user_id'),
        shell: wx.getStorageSync('shell'),
        page: page ? page : that.data.page, // 从数据里获取当前页数
        number: number,
        money: money
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.wrong) {
          dou.douMsg(res.data.wrong, 'back')
        } else {
          if (concat) {
            var dataBox = that.data.log_list; // 从data获取当前datalist数组
            var dataNew = res.data.log_list; // 从此次请求返回的数据中获取新数组

            if (dataNew) {
              dataBox = dataBox.concat(dataNew); // 合并数组
            } else {
              that.setData({
                nomore: true
              })
            }
          } else {
            dataBox = res.data.log_list;
          }

          that.setData({
            log_list: dataBox,
            work: res.data.work,
            user: res.data.user,
            pay_code_mode: res.data.pay_code_mode,
            loadpage: false
          })
        }
      }
    })
  },
 
  // 消费结算
  useMoney: function (e) {
    var that = this
    
    // 未登录时重新载入当前页面
    dou.checkLoginState('action', '/pages/user/user')
    
    wx.request({
      url: app.mp_url + 'money.php?rec=work&act=use',
      data: {
        user_id: wx.getStorageSync('user_id'),
        shell: wx.getStorageSync('shell'),
        money: e.detail.value.money,
        number: e.detail.value.number
      },
      method:'POST',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key'),
        'Content-Type': 'application/x-www-form-urlencoded'
      },
      success: function (res) {
        if (res.data.wrong) {
          dou.douMsg(res.data.wrong)
        } else {
          that.setData({
            money: res.data.money
          })
         
          that.loadData()
        }
      }
    })
  },
 
  onReachBottom: function () { // 触底开始下一页
    var that = this;
    
    if (!that.data.nomore) {
      var page = that.data.page + 1; // 获取当前页数并+1
      console.log(page)
      that.setData({
        page: page, // 更新当前页数
        loadpage: true,//加载动画的显示
      })

      setTimeout (
        function() { //注意function这里不能缺少
          that.loadData(true); // 重新调用请求获取下一页数据
        },1000
      )
    }
  },
 
  // 类似navigateTo，但会销毁当前页面堆栈
  douNavigateBack: function(e) {
    var delta = e.currentTarget.dataset.delta;
    wx.navigateBack({
      delta: delta ? delta : 1
    })
  },
 
  // 类似navigateTo，但会销毁当前页面堆栈
  douRedirectTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.redirectTo({
      url: url
    })
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },

  // 只能跳转到tabBar配置页面
  catSwitchTab: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.switchTab({
      url: url
    })
  }


})