<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'user|work|work_desk';
$subbox = array(
        "module" => 'money',
        "sub" => $sub
);

$_CUR = 'money';
require (dirname(__FILE__) . '/include/init.php');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 引入和实例化订单功能
include_once (ROOT_PATH . 'include/money.class.php');
$dou_money = new Money();

// 实例化
if ($_OPEN['work']) {
    include_once (ROOT_PATH . 'include/work.class.php');
    $dou_work = new Work();
}

// 权限验证
$callback = $dou_user->check_login_state(); // 登录验证
if ($callback['msg'] == 'ok') {
    $user_id = $callback['user_id'];
} else {
    $data['wrong'] = $_LANG['login_timeout'];
    die(json_encode($data));
}

// 错误提示初始
$data['wrong'] = '';

/**
 * +----------------------------------------------------------
 * 财务明细
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 操作的会员
    $user = $dou->user_basic($custom_user_id);

    $data['log_list'] = $log_list;
    $data['total'] = $dou_user->money($user_id);
    $data['user'] = $user;
}

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
elseif ($rec == 'user') {
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('money') . " WHERE user_id = '$user_id' ORDER BY id DESC";
    
    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, 10, $page);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $log_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "action" => $row['action'],
                "action_format" => $_LANG['money_action_' . $row['action']] ? $_LANG['money_action_' . $row['action']] : $row['action'],
                "from" => $row['from'],
                "money" => $row['money'],
                "total" => $row['total'],
                "create_time" => date("Y-m-d H:i", $row['create_time'])
        );
    }
 
    // 数据封装
    $data['title'] = $_LANG['money_log'];
    $data['log_list'] = $log_list;
    $data['total'] = $dou_user->money($user_id);
}

/**
 * +----------------------------------------------------------
 * 生成付款码
 * +----------------------------------------------------------
 */
elseif ($rec == 'pay_code') {
    // 生成随机付款码
    $pay_code = $dou_money->rand_pay_code($user_id);
    $pay_code_time = time();
    
    // 更新付款码
    $dou->query("UPDATE " . $dou->table('user') . " SET pay_code = '$pay_code', pay_code_time = '$pay_code_time' WHERE user_id = '$user_id'");
 
    // 数据封装
    $data['pay_code'] = $pay_code;
    $data['user'] = $dou->user_basic($user_id);
    $data['total'] = $dou_user->money($user_id);
}

/**
 * +----------------------------------------------------------
 * 工作端
 * +----------------------------------------------------------
 */
elseif ($rec == 'work') {
    // act操作项的初始化
    $act = $check->is_rec($_REQUEST['act']) ? $_REQUEST['act'] : 'default';
    $pay_code_mode = $_PARAM['money_pay_code'] ? true : false;
    $data['pay_code_mode'] = $pay_code_mode;
    
    // 权限验证
    if (!$dou_work->check_permission($_CUR, $user_id)) {
        $data['wrong'] = $_LANG['work_no_permission'];
        die(json_encode($data));
    }
 
    // 起始页
    if ($act == 'default') {
        $data['title'] = $_LANG['money_work'];
    }
 
    // 搜索会员
    elseif ($act == 'search') {
        $work['money'] = $check->is_money($_REQUEST['money']) ? $dou->price_format($_REQUEST['money']) : '';
        
        // 获取当前操作的会员ID
        if ($pay_code_mode) {
            $work['number'] = $check->is_number($_REQUEST['number']) ? $_REQUEST['number'] : '';
            $time_limit = time() - 60; // 有效期为60秒
            $custom_user_id = $dou->get_value('user', 'user_id', "pay_code = '$work[number]' AND pay_code_time > $time_limit");
        } else {
            $work['number'] = $check->is_telphone($_REQUEST['number']) ? $_REQUEST['number'] : '';
            $custom_user_id = $dou->get_value('user', 'user_id', "telphone = '$work[number]'");
        }
     
        if (!$custom_user_id) {
            $data['wrong'] = $_LANG['money_not_user'];
            die(json_encode($data));
        }
     
        $sql = "SELECT * FROM " . $dou->table('money') . " WHERE user_id = '$custom_user_id' ORDER BY id DESC";
     
        // 获取分页信息
        $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
        $limit = $dou->pager($sql, 5, $page);

        $sql = $sql . $limit; // 加入分页条件的SQL语句
        $query = $dou->query($sql);
        while ($row = $dou->fetch_array($query)) {
            $log_list[] = array (
                    "id" => $row['id'],
                    "user" => $dou->user_basic($row['user_id']),
                    "action" => $dou_money->action_format($row['action']),
                    "from" => $row['from'],
                    "money" => $row['money'],
                    "total" => $row['total'],
                    "create_time" => date("Y-m-d H:i", $row['create_time'])
            );
        }
     
        // 格式化
        $work['again'] = $dou->param($_URL['sub']['work'] . '&number=' . $number);
        $work['next'] = $dou->param($_URL['sub']['work']);
        $work['total'] = $dou->price_format($dou_user->money($custom_user_id));
     
        // 操作的会员
        $user = $dou->user_basic($custom_user_id);
     
        $data['log_list'] = $log_list;
        $data['work'] = $work;
        $data['user'] = $user;
        $data['sql'] = $sql;
    }
 
    // 消费付款
    elseif ($act == 'use') {
        // 消费金额
        $money = $check->is_money($_REQUEST['money']) ? $_REQUEST['money'] : '';
     
        // 获取当前操作的会员ID
        if ($pay_code_mode) {
            $number = $check->is_number($_REQUEST['number']) ? $_REQUEST['number'] : '';
            $time_limit = time() - 60; // 有效期为60秒
            $custom_user_id = $dou->get_value('user', 'user_id', "pay_code = '$number' AND pay_code_time > $time_limit");
        } else {
            $number = $check->is_telphone($_REQUEST['number']) ? $_REQUEST['number'] : '';
            $custom_user_id = $dou->get_value('user', 'user_id', "telphone = '$number'");
        }
        
        $total = $dou_user->money($custom_user_id);

        if ($custom_user_id && $money > 0) {
            if ($money > $total) {
                $data['wrong'] = $_LANG['money_not_enough'];
            } else {
                $dou_user->create_money($custom_user_id, 'pay', $money*(-1), '-'); // 写入财务记录
                $data['money'] = $money;
            }
        }
    }
}

echo json_encode($data);

?>