<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'user|work|use';
$subbox = array(
        "module" => 'money',
        "sub" => $sub
);

if (!defined('REWRITE')) {
    $_CUR = 'money';
    require (dirname(__FILE__) . '/include/init.php');
}
$smarty->assign('cur', $_CUR);
$smarty->assign('url', $_URL = $dou->dou_sub_url($subbox));

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 引入和实例化订单功能
include_once (ROOT_PATH . 'include/money.class.php');
$dou_money = new Money();

// 工作端实例化
if ($_OPEN['work']) {
    include_once (ROOT_PATH . 'include/work.class.php');
    $dou_work = new Work();
}

if (!$_OPEN['user'])
    $dou->dou_msg($_LANG['dh_no_install_user'], ROOT_URL);

// 需要登录且没有登录的情况
if (!is_array($_GLOBAL_USER))
    $dou->dou_header($_URL['login']);

// 赋值给模板-meta和title信息
$smarty->assign('keywords', $_CFG['site_keywords']);
$smarty->assign('description', $_CFG['site_description']);

// 赋值给模板-导航栏
$smarty->assign('nav_top_list', $dou->get_nav('top'));
$smarty->assign('nav_middle_list', $dou->get_nav('middle', 0, 'money', 0));
$smarty->assign('nav_bottom_list', $dou->get_nav('bottom'));

// 赋值给模板-数据
$smarty->assign('rec', $rec);
$smarty->assign('link_user_center', $dou_user->link_user_center($_CUR));
$smarty->assign('if_connect_plugin', $dou->value_exist('plugin', 'plugin_group', 'connect'));

/**
 * +----------------------------------------------------------
 * 在线充值
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $sql = "SELECT * FROM " . $dou->table('money_package') . " ORDER BY sort ASC, id DESC";
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $package_list[] = array (
                "id" => $row['id'],
                "money" => $dou->price_format($row['money']),
                "price" => $dou->price_format($row['price']),
                "image" => $dou->dou_file($row['image']),
                "sort" => $row['sort']
        );
    }
    
    // CSRF防御令牌生成
    $smarty->assign('token', $firewall->set_token('order_checkout'));

    // 赋值给模板-meta和title信息
    $smarty->assign('page_title', $dou->page_title('money'));
    
    // 赋值给模板-数据
    $smarty->assign('action', $action);
    $smarty->assign('ur_here', $dou->ur_here('money'));
    $smarty->assign('head', $_LANG['money']);
    $smarty->assign('package_list', $package_list);
    $smarty->assign('total', $dou_user->money($_GLOBAL_USER['user_id']));

    $smarty->display('money.dwt');
}

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
elseif ($rec == 'user') {
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('money') . " WHERE user_id = '$_GLOBAL_USER[user_id]' ORDER BY id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $limit = $dou->pager($sql, 15, $page, $_URL['sub']['user']);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $money_log_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "action" => $dou_money->action_format($row['action']),
                "from" => $row['from'],
                "money" => $row['money'],
                "total" => $row['total'],
                "create_time" => date("Y-m-d H:i", $row['create_time'])
        );
    }

    // 赋值给模板 
    $smarty->assign('page_title', $dou->page_title('user', 'money_log'));
    $smarty->assign('ur_here', $dou->ur_here('user', 'money_log'));
    $smarty->assign('head', $_LANG['money_log']);
    $smarty->assign('money_log_list', $money_log_list);
    $smarty->assign('total', $dou_user->money($_GLOBAL_USER['user_id']));

    $smarty->display('money.dwt');
}

/**
 * +----------------------------------------------------------
 * 工作端
 * +----------------------------------------------------------
 */
elseif ($rec == 'work') {
    // 权限验证
    if (!$dou_work->check_permission($_CUR))
        $dou->dou_msg($_LANG['work_no_permission'], $_URL['work']);

    // 获取最新财务明细
    $telphone = $work['telphone'] = $check->is_telphone($_REQUEST['telphone']) ? $_REQUEST['telphone'] : '';
    $money = $work['money'] = $check->is_money($_REQUEST['money']) ? $dou->price_format($_REQUEST['money']) : ''; // 工作人员操作完支付后会显示支付成功页面
    $custom_user_id = $dou->get_value('user', 'user_id', "telphone = '$telphone'");
    
    if ($custom_user_id) {
        $sql = "SELECT * FROM " . $dou->table('money') . " WHERE user_id = '$custom_user_id' ORDER BY id DESC LIMIT 10";
        $query = $dou->query($sql);
        while ($row = $dou->fetch_array($query)) {
            $money_log_list[] = array (
                    "id" => $row['id'],
                    "user" => $dou->user_basic($row['user_id']),
                    "action" => $dou_money->action_format($row['action']),
                    "from" => $row['from'],
                    "money" => $row['money'],
                    "total" => $row['total'],
                    "create_time" => date("Y-m-d H:i", $row['create_time'])
            );
        }
     
        // 格式化
        $work['again'] = $dou->param($_URL['sub']['work'] . '&telphone=' . $telphone);
        $work['next'] = $dou->param($_URL['sub']['work']);
        $work['total'] = $dou_user->money($custom_user_id);
     
        $smarty->assign('money_log_list', $money_log_list);
        $smarty->assign('user', $dou->user_basic($custom_user_id));
        $smarty->assign('work', $work);
    }
    
    // 赋值给模板 
    $smarty->assign('page_title', $dou->page_title('user', 'money_work'));
    $smarty->assign('ur_here', $dou->ur_here('user', 'money_work'));
    $smarty->assign('head', $_LANG['money_work']);
    $smarty->assign('link_work_center', $dou_work->link_work_center($_CUR));

    $smarty->display('money_work.dwt');
}

/**
 * +----------------------------------------------------------
 * 工作端 扣费
 * +----------------------------------------------------------
 */
elseif ($rec == 'use') {
    // 权限验证
    if (!$dou_work->check_permission($_CUR))
        $dou->dou_msg($_LANG['work_no_permission'], $_URL['work']);

    // 获取最新财务明细
    $money = $check->is_money($_REQUEST['money']) ? $_REQUEST['money'] : '';
    $telphone = $check->is_telphone($_REQUEST['telphone']) ? $_REQUEST['telphone'] : '';
    $custom_user_id = $dou->get_value('user', 'user_id', "telphone = '$telphone'");
    $total = $dou_user->money($custom_user_id);
    
    if ($custom_user_id && $money > 0) {
        if ($money > $total) {
            $dou->dou_msg($_LANG['money_not_enough'], $dou->param($_URL['sub']['work'] . '&telphone=' . $telphone));
        } else {
            $dou_user->create_money($custom_user_id, 'pay', $money*(-1), '-'); // 写入财务记录
            $dou->dou_header($dou->param($_URL['sub']['work'] . '&telphone=' . $telphone . '&money=' . $money));
        }
    }
}

?>